// ==UserScript==
// @name        Bookmarks Confirmation
// @description Confirms before deleting bookmarks.
// @include     main
// @include     chrome://browser/content/bookmarks/bookmarksPanel.xul
// @include     chrome://browser/content/bookmarks/bookmarksManager.xul
// ==/UserScript==

BookmarksCommand._deleteBookmarkInternal = BookmarksCommand.deleteBookmark;
BookmarksCommand.deleteBookmark = function(aSelection) {
	if (!window.confirm("Are you sure you wish to delete bookmarks?"))
		return;
	this._deleteBookmarkInternal(aSelection);
};
